import { View } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import MyCard from "@/components/MyCard"
import withLayout from '@/layouts'

export default withLayout(() => {
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='更多' />
      </View>
      <View className='index-container'>
        <MyCard detail />
      </View>
    </View>
  )
})